org.apache.olingo.commons.api.data

## Class AbstractODataObject

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.AbstractODataObject

- Direct Known Subclasses:
    AbstractEntityCollection, Linked

      public abstract class AbstractODataObject
      extends Annotatable

  Abstract OData object with basic values (`id`, `baseURI`, `title`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractODataObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `URI` | `getBaseURI()` Gets base URI.
    `URI` | `getId()` Gets ID.
    `String` | `getTitle()` Gets title.
    `int` | `hashCode()`
    `void` | `setBaseURI(URI baseURI)` Sets base URI.
    `void` | `setCommonProperty(String key, String value)` Sets property with given key to given value.
    `void` | `setId(URI id)` Sets ID.

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractODataObject

          public AbstractODataObject()

  - ### Method Detail

    - #### getBaseURI

          public URI getBaseURI()

      Gets base URI.
      Returns:
        base URI

    - #### setBaseURI

          public void setBaseURI(URI baseURI)

      Sets base URI.
      Parameters:
        `baseURI` - new base URI

    - #### getId

          public URI getId()

      Gets ID.
      Returns:
        ID.

    - #### setId

          public void setId(URI id)

      Sets ID.
      Parameters:
        `id` - new ID value

    - #### getTitle

          public String getTitle()

      Gets title.
      Returns:
        title

    - #### setCommonProperty

          public void setCommonProperty(String key,
                                        String value)

      Sets property with given key to given value.
      Parameters:
        `key` - key of property
        `value` - new value for property

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.